/* hdr_hgps.cc 
   hgps header file
*/
#include <stdio.h>
#include "hdr_hgps.h"

int hdr_hgps::offset_;

static class HGPSHeaderClass : public PacketHeaderClass {
public:
	HGPSHeaderClass() : PacketHeaderClass("PacketHeader/HGPS",
					     sizeof(hdr_hgps)) {
		offset(&hdr_hgps::offset_);

	}
	void export_offsets() {
		field_offset("valid_", OFFSET(hdr_hgps, valid_));
		/*
		field_offset("num_addrs_", OFFSET(hdr_sr, num_addrs_));
		field_offset("cur_addr_", OFFSET(hdr_sr, cur_addr_));
		*/
	}
} class_HGPShdr;
/*
char *
hdr_hgps::dump()
{
  static char buf[100];
  dump(buf);
  return (buf);
}

void
hdr_sr::dump(char *buf)
{
  char *ptr = buf;
  *ptr++ = '[';
  for (int i = 0; i < num_addrs_; i++)
    {
      ptr += sprintf(ptr, "%s%d ",
		     (i == cur_addr_) ? "|" : "",
		     addrs[i].addr);
    }
  *ptr++ = ']';
  *ptr = '\0';
}
*/
